<?php
/**
 * aLinks Amazon Basic Keyphrase Module
 *
 * Turns keyphrases into links for Amazon.com product searches, using your
 * Amazon Associates ID.
 *
 * @author	Sean Hickey <seanhickey@gmail.com>
 * @license	GPL
 * @version	$Id: mod.php 46 2008-03-24 18:02:58Z sean $
 */
class AmazonKeyphrases extends aLinksKeyphrases {
	
	var $name = 'amazon_basic';
	var $requiredOptions = array('amazonid', 'amazonurl');

	function doPhrase($postObj, $keyphrase, $description, $defines) {
		if (empty($defines['searchterm'])) {
			$defines['searchterm'] = $this->realKeyphrase;
		}
		
		$amazonLink = "http://www.{$this->options['amazonurl']}/exec/obidos/redirect?link_code=ur2&amp;camp=1789&amp;tag={$this->options['amazonid']}&amp;creative=9325&amp;path=external-search%3Fsearch-type=ss%26keyword=" . urlencode($defines['searchterm']) . "%26index=" . $defines['producttype'];
		$amazonImage = "http://www.assoc-{$this->options['amazonurl']}/e/ir?t={$this->options['amazonid']}&amp;l=ur2&amp;o=1";
		return "<a href=\"$amazonLink\" {$this->extraHTML} {$this->imageHTML} title=\"$description\" rel=\"external\">$keyphrase</a><img class=\"amazon_image\" src=\"$amazonImage\" width=\"1\" height=\"1\" border=\"0\" alt=\"\" style=\"border:none !important; margin:0px !important;\" />";
	}
}